From: Dmitry Bogatov <KAction@gnu.org>
Date: Sun, 29 Apr 2018 12:28:44 +0000
Subject: Remove SETGID_MAIL trickery from build system

It is correct, that inc(1mh) must have ability to create temporary files
in /var/spool/mail, but setting setgid bit at build stage {as opposite
to maintainer script} does not seem to work and breaks rootless build.
---
 configure.ac    | 10 ----------
 uip/Makefile.in |  4 ----
 2 files changed, 14 deletions(-)

diff --git a/configure.ac b/configure.ac
index ad45c15..3b2814e 100644
--- a/configure.ac
+++ b/configure.ac
@@ -286,16 +286,6 @@ if test "$ac_cv_lib_lockfile_lockfile_create" != "no" ; then
   fi
 fi
 
-dnl If mailspool is not world-writable and dotlockfile is not setgid,
-dnl we need to #define MAILGROUP to 1 and make inc setgid.
-if test x"$LOCKTYPE" = x"dot" -a x"$nmh_cv_mailspool_world_writable" = x"no" -a x"$nmh_cv_dotlockfile_setgid" != x"yes" ; then
-  dnl do we really need both of these?
-  AC_DEFINE(MAILGROUP,1,
-    [Define to 1 if you need to make `inc' set-group-id because your mail spool is not world writable. There are no guarantees as to the safety of doing this, but this #define will add some extra security checks.])dnl
-  SETGID_MAIL=1
-fi
-AC_SUBST(SETGID_MAIL)dnl
-
 dnl Use ls to see which group owns the mail spool directory.
 AC_CACHE_CHECK(what group owns the mail spool, nmh_cv_ls_mail_grp,
 [nmh_cv_ls_mail_grp=`$lspath -dL $nmh_cv_ls_grpopt $mailspool|$AWK '{print $4}'`
diff --git a/uip/Makefile.in b/uip/Makefile.in
index fcab14d..f68fe93 100644
--- a/uip/Makefile.in
+++ b/uip/Makefile.in
@@ -268,11 +268,7 @@ install-misc:
 
 # install commands with special installation needs (thus no $(SCMDS) use here)
 install-scmds:
-	if test x$(SETGID_MAIL) != x; then \
-	  $(INSTALL_PROGRAM) -g $(MAIL_SPOOL_GRP) -m 2755 inc $(DESTDIR)$(bindir)/$$cmd; \
-	else \
 	  $(INSTALL_PROGRAM)                 inc $(DESTDIR)$(bindir)/$$cmd; \
-	fi
 
 uninstall:
 	for cmd in $(CMDS); do \
